Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class DomainManager

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  CoreDomainManager, DomainManagerImpl

    public interface class DomainManager

extends java.rmi.Remote

FDK interface for managing Domains.

Method Summary
`Item` | `getDefaultDomain(AttributeRequest[] attributes)` Returns the default `DOMAIN` Item.
`Item` | `updateDomain(long id, NamedValue[] def, AttributeRequest[] attributes)` Updates a `DOMAIN` Item.

Method Detail

### updateDomain

    Item updateDomain(long id,
                      NamedValue[] def,
                      AttributeRequest[] attributes)
                      throws FdkException

  Description copied from interface: `DomainManager`
  Updates a `DOMAIN` Item.

  Parameters:
    `id` - the ID of the `DOMAIN` Item to update
    `def` - the attributes to set:
    `
    - notation: {Attribute name, Attribute type}
    - {Attributes.USER_WORKSPACES_ROOT, String}
    - {Attributes.MOST_RECENT_DOCS_MAXITEMS, Integer}
    - {Attributes.PERSONAL_WORKSPACES_ENABLED, Boolean}
    - {Attributes.WORLD_GRANTS_ENABLED, Boolean}
    - {Attributes.GROUP_CREATION_ACCESS_GROUP, Long}
    - {Attributes.CREATE_WORKSPACE_REQUEST_ALLOWED, Boolean}
    - {Attributes.DEFAULT_WORKSPACE_ROLES, long[]}
    - {Attributes.DEFAULT_GUARD_SECURITY_ROLES, long[]}
    - {Attributes.GLOBAL_AUDIT_TYPE_LIST, Long}
    - {Attributes.GLOBAL_AUDIT_HISTORY_EXPIRATION_PERIOD, Long}
    `
    `attributes` - the attributes to retrieve for the returned `DOMAIN` Item, or null
  Returns:
    an Item representing the updated Domain
  Throws:
    `FdkException` - if the operation fails

### getDefaultDomain

    Item getDefaultDomain(AttributeRequest[] attributes)
                          throws FdkException

  Description copied from interface: `DomainManager`
  Returns the default `DOMAIN` Item.

  Parameters:
    `attributes` - the attributes to retrieve for the returned `DOMAIN` Item, or null
  Throws:
    `FdkException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD